#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;

int main() {
	int n, x, koraci = 0, razlikaDoNajmanjeg, razlikaDoNajveceg;
	int a[1000];

	cin >> n >> x;
	for (int i = 0; i < n; i++) cin >> a[i];

	if (n < *min_element(a, a + n)) koraci += abs( *max_element(a, a + n) - x );
	else if (n > *max_element(a, a + n)) koraci += x - *min_element(a, a + n);
	else {
		razlikaDoNajmanjeg = abs( x - *min_element(a, a + n) );
		razlikaDoNajveceg =abs(*max_element(a, a + n) - x);
		if (razlikaDoNajmanjeg <= razlikaDoNajveceg) koraci += razlikaDoNajmanjeg + abs((*max_element(a, a + n) - *min_element(a, a + n)));
		else if (razlikaDoNajmanjeg > razlikaDoNajveceg) koraci += razlikaDoNajveceg + abs((*max_element(a, a + n) - *min_element(a, a + n)));

	}
	cout << koraci << endl;
	//system("pause");
	return 0;
	//

}